package org.jboss.test.cluster.drm;

import java.io.Serializable;
import java.util.List;

/** The public DistributedReplicantManager user service interface
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revison:$
 */
public interface IReplicants
{
   public static class NotifyData implements Serializable
   {
      public Serializable key;
      public List newReplicants;
      public int newReplicantsViewId;
      public String toString()
      {
         StringBuffer tmp = new StringBuffer();
         tmp.append("key:");
         tmp.append(key);
         tmp.append(", newReplicants:");
         tmp.append(newReplicants);
         return tmp.toString();
      }
   }

   public Serializable lookupLocalReplicant();
   public List lookupLocalReplicants();
}
